Package com.avaya.clientservices.call

## Enum OverloadVideoStatus

- java.lang.Object
- - java.lang.Enum<OverloadVideoStatus>
  - - com.avaya.clientservices.call.OverloadVideoStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<OverloadVideoStatus>`

      public enum OverloadVideoStatus
      extends java.lang.Enum<OverloadVideoStatus>

  Video overload status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEACTIVATED` | Video disabled
    `NORMAL` | Not overload
    `RESOLUTION_REDUCED` | Resolution reduced

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OverloadVideoStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static OverloadVideoStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final OverloadVideoStatus NORMAL

      Not overload

    - #### RESOLUTION_REDUCED

          public static final OverloadVideoStatus RESOLUTION_REDUCED

      Resolution reduced

    - #### DEACTIVATED

          public static final OverloadVideoStatus DEACTIVATED

      Video disabled

  - ### Method Detail

    - #### values

          public static OverloadVideoStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OverloadVideoStatus c : OverloadVideoStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OverloadVideoStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null